.body-news {
    overflow-y: hidden;
    display: flex;
    flex-direction: column;
}

#news-header {
    flex-shrink: 0;

    @media (max-width: 999.99px) {
        height: 57px;
        z-index: 1000;
    }

    @media (min-width: 1000px) and (max-width: 1199px) {
        height: 50px;
    }

    @media (min-width: 1200px) and (max-width: 1399px) {
        height: 50px;
    }

    @media (min-width: 1400px) {
        height: 65px;
    }

    .navbar {
        height: 100%;

        @media (max-width: 999.99px) {
            height: auto;
            min-height: 57px;
            width: 100%;
            position: fixed;
            background: linear-gradient(90deg, #F5F5F5 -34%, #5E1E0D 100%);
        }

        .navbar-toggler {

            span {
                background-color: #F5F5F5;
            }
        }

        .container {

            .navbar-collapse {

                @media (max-width: 999.99px) {
                    position: absolute;
                    width: 100%;
                    top: 35px;
                    left: 0px;
                }

                .navbar-nav {

                    @media (max-width: 999px) {
                        position: relative;
                        width: 90%;
                    }

                    @media (min-width: 1000px) {
                        position: absolute;
                        right: 0;
                    }

                    .nav-link {
                        color: #5E1E0D;

                        @media (max-width: 999px) {
                            font-size: 1rem !important;
                        }

                        @media (min-width: 1000px) and (max-width: 1199px) {
                            font-size: 0.92rem !important;
                        }

                        @media (min-width: 1200px) and (max-width: 1399px) {
                            font-size: 1.15rem !important;
                        }

                        @media (min-width: 1400px) {
                            font-size: 1.4rem !important;
                        }

                        i {

                            @media (min-width: 1000px) and (max-width: 1199px) {
                                &:before {
                                    font-size: 1.4rem;
                                }
                            }

                            @media (min-width: 1200px) and (max-width: 1399px) {
                                &:before {
                                    font-size: 1.7rem;
                                }
                            }

                            @media (min-width: 1400px) {
                                &:before {
                                    font-size: 1.9rem;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}


#news-main {
    display: flex;
    flex: 1;
    height: 100%;
    overflow: hidden;

    #news-container {
        display: flex;
        flex-direction: column;
        flex-grow: 1;
        height: 100%;


        #news-top {
            position: relative;
            box-sizing: border-box;
            flex-shrink: 0;

            @media (max-width: 999px) {
                position: fixed;
                top: 0;
                width: 100%;
                height: 57px;
                min-height: auto;
                z-index: 1050;
                pointer-events: none;

                &:before {
                    display: none;
                }
            }

            &:before {
                position: absolute;
                content: '';
                height: 100%;
                left: -50vw;
                right: -50vw;
                background: linear-gradient(90deg, #F5F5F5 0%, #5E1E0D 100%);
                z-index: 150;
            }

            .col {

                @media (max-width: 999.99px) {
                    width: 100%;
                }

                @media (min-width: 1000px) and (max-width: 1199px) {
                    padding: 10px;
                }

                @media (min-width: 1200px) and (max-width: 1399px) {
                    padding: 10px;
                }

                @media (min-width: 1400px) {
                    padding: 10px;
                }


                span {
                    color: #F5F5F5;
                    display: inline-block;
                    text-align: center;
                    font-weight: bold;
                    z-index: 1050;

                    @media (max-width: 767.98px) {
                        font-size: 1.2rem;
                        margin: 0;
                    }

                    @media (min-width: 767.99px) and (max-width: 999px) {
                        font-size: 1.5rem;
                        margin: 0;
                    }

                    @media (min-width: 1000px) and (max-width: 1199px) {
                        font-size: 1.6rem;
                    }

                    @media (min-width: 1200px) and (max-width: 1399px) {
                        font-size: 2rem;
                    }

                    @media (min-width: 1400px) {
                        font-size: 2.5rem;
                    }

                    &::first-letter {
                        font-family: 'Monplesir script';
                        font-weight: normal;
                    }
                }
            }
        }

        #news-middle {
            flex: 1;
            flex-direction: column;
            overflow-y: auto;
            overflow-x: hidden;
            box-sizing: border-box;

            @media (max-width: 767.98px) {
                height: calc(100% - 70px);
                padding-left: 10px;
            }

            /* Scrollbar */

            ::-webkit-scrollbar {
                width: 5px;
                background-color: transparent;
            }

            /* Add a thumb */
            ::-webkit-scrollbar-thumb {
                border-radius: 10px;
                background: #5E1E0D;
            }

            @media (max-width: 767.98px) {
                ::-webkit-scrollbar-thumb {
                    background: transparent;
                }
            }

            /* end Scrollbar */

            .col {

                .container {
                    display: flex;
                    flex-direction: column;
                    padding-top: 10px;
                    border-bottom: 1px solid #5E1E0D;

                    .news {
                        display: flex;
                        flex-direction: column;
                        padding-bottom: 15px;
                        border-top: 1px solid #5E1E0D;

                        @media (max-width: 999.99px) {
                            padding-bottom: 5px;
                        }


                        #news-title {
                            padding: 10px 0 10px 0;

                            strong {
                                @media (min-width: 1200px) and (max-width: 1399px) {
                                    font-size: 17px;
                                }

                                @media (min-width: 1400px) {
                                    font-size: 19px;
                                }
                            }
                        }

                        #news-body {

                            .row {

                                .col {

                                    @media (max-width: 999.99px) {
                                        display: flex;
                                        flex-direction: column;
                                    }

                                    img[alt='news-image'] {
                                        float: left;
                                        margin-right: 20px;
                                        width: 190px;
                                        pointer-events: none;
                                        user-select: none;

                                        @media (max-width: 999.99px) {
                                            position: relative;
                                            float: none;
                                            margin-right: auto;
                                            left: 50%;
                                            transform: translateX(-50%);
                                        }

                                        @media (min-width: 1200px) and (max-width: 1399px) {
                                            width: 256px;
                                        }

                                        @media (min-width: 1400px) {
                                            width: 256px;
                                        }
                                    }

                                    video {
                                        float: left;
                                        margin-right: 20px;
                                        width: auto;

                                        @media (max-width: 999.99px) {
                                            width: 100%;
                                            position: relative;
                                            float: none;
                                            margin-right: auto;
                                            left: 50%;
                                            transform: translateX(-50%);
                                        }
                                    }

                                    iframe {
                                        float: left;
                                        margin-right: 20px;

                                        @media (max-width: 999.99px) {
                                            width: 100%;
                                            position: relative;
                                            float: none;
                                            margin-right: auto;
                                            left: 50%;
                                            transform: translateX(-50%);
                                        }
                                    }

                                    .news-text {

                                        @media (max-width: 999.99px) {
                                            margin-top: 10px;
                                            display: -webkit-box;
                                            -webkit-box-orient: vertical;
                                            -webkit-line-clamp: 4; /* Количество строк */
                                            overflow: hidden;
                                        }

                                        p {
                                            margin: 0 10px 0 0;

                                            @media (max-width: 999.99px) {
                                                margin: 0;
                                            }
                                        }
                                    }
                                }
                            }
                        }

                        .news-bottom {
                            position: relative;

                            @media (max-width: 999.99px) {
                                padding-top: 5px;
                            }

                            .read-next {
                                display: none;

                                @media (max-width: 999.99px) {
                                    display: flex;
                                    align-items: center;
                                    justify-content: start;

                                }

                                a {
                                    text-decoration: none;
                                    margin: 0;

                                    p {
                                        margin: 0;
                                        color: #5E1E0D;

                                        &::first-letter {
                                            font-family: 'Monplesir script';
                                        }
                                    }

                                }
                            }

                            .heart-stat {
                                position: relative;
                                right: 25px;

                                span {
                                    position: relative;
                                    right: 5px;
                                }

                                i {
                                    position: absolute;
                                    color: #5E1E0D;
                                    transition: transform 0.1s ease-in-out;
                                    transform-origin: center;
                                    cursor: pointer;

                                    &:active {
                                        transform: scale(1.3);
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

#news-footer {
    flex-shrink: 0;

    .row {

        .col {

            @media (max-width: 999.99px) {
                justify-content: center;
                padding: 7px 0 7px 0;
            }

            @media (min-width: 1000px) and (max-width: 1199px) {
                padding: 15px 0 15px 0;
            }

            @media (min-width: 1200px) and (max-width: 1399px) {
                padding: 15px 0 15px 0;
            }

            @media (min-width: 1400px) {
                padding: 15px 0 15px 0;
            }

        }

        div[title="col-two"] {
            display: flex;
            justify-content: end;
            align-items: center;

            @media (max-width: 999.99px) {
                display: none;
            }

        }

        button {
            background-color: #fbc01c;
            color: #4F4E4E;
            width: 65%;
            padding: 5px;
            border-radius: 30px;
            border: 0;
            font-weight: bold;

            &:active {
                box-shadow: 5px 7px 10px 2px rgba(0,0,0,.4);
            }

            @media (max-width: 767.98px) {
                font-size: 1rem;
                width: auto;
                padding: 10px 15px 10px 15px;
            }

            @media (min-width: 767.99px) and (max-width: 999.99px) {
                font-size: 1.1rem;
                width: auto;
                padding: 10px 15px 10px 15px;
            }

            @media (min-width: 1000px) and (max-width: 1199px) {
                font-size: 1rem;
            }

            @media (min-width: 1200px) and (max-width: 1399px) {
                font-size: 1.2rem;
            }

            @media (min-width: 1400px) {
                font-size: 1.4rem;
            }
        }
    }
}

#feedback_subscribe {
    .modal-dialog {
        max-width: 700px;

        @media (max-width: 999.99px) {
            top: 20%;
        }


        .modal-content {
            .modal-body {
                padding: 0 40px 0 40px;

                label[for="InputName"], label[for="InputEmail"] {
                    color: #5E1E0D;

                    &::first-letter {
                        font-family: 'Monplesir script';
                    }
                }

                input[id="InputName"], input[id="InputEmail"] {
                    width: 80%;
                    border-radius: 43px;
                    height: 50px;

                    @media (max-width: 767.98px) {
                        width: 100%;
                    }

                    &:focus {
                        outline: none;
                        border-color: #5E1E0D;
                        box-shadow: 0 0 0 0.2rem rgba(78, 149, 153, 0.5);
                    }
                }

                label[for="InputName"] {
                    font-size: 1.8rem;
                }

                label[for="InputEmail"] {
                    font-size: 1.8rem;

                    @media (max-width: 767.98px) {
                        font-size: 1.2rem;
                    }
                }

                .form-check {
                    input {
                        width: 25px;
                        height: 25px;

                        &:focus {
                            outline: none;
                            border-color: #5E1E0D;
                            box-shadow: 0 0 0 0.2rem rgba(78, 149, 153, 0.5);
                        }

                        &:checked {
                            background-color: #5E1E0D;
                            border-color: #5E1E0D;
                        }
                    }

                    label {
                        font-size: 13px;
                        color: inherit;
                        padding: 7px 0 0 10px;

                        @media (max-width: 767.98px) {
                            font-size: 11px;
                        }
                    }
                }

                strong {
                    font-size: 14px;

                    @media (max-width: 767.98px) {
                        font-size: 11px;
                        text-align: center;
                    }
                }
            }

            .modal-footer {
                padding-bottom: 25px;

                button {
                    width: 60%;
                    font-size: 1.2rem;

                    @media (min-width: 1400px) {
                        font-size: 1.3rem;
                    }
                }
            }
        }
    }
}